## org.acedb
Class AceUtils

    java.lang.Object
      |
      +--org.acedb.AceUtils

public class AceUtils
extends java.lang.Object

General utility methods for ACeDBC.

Author:
  Thomas Down

Constructor Summary
`AceUtils()`

Method Summary
`static java.lang.String` `decode(java.lang.String s)`
`static java.lang.String` `encode(java.lang.String s)`
`static AceNode` `pick(AceSet set)`
`static AceSet` `retrieve(AceSet n, java.util.List l)`
`static AceSet` `retrieve(AceSet n, java.lang.String sl)`
`static AceURL` `rootURL(AceURL url)` Get the root URL for a database.
`static java.util.List` `toList(java.lang.String sl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AceUtils

    public AceUtils()

Method Detail

### pick

    public static AceNode pick(AceSet set)
                        throws AceException

### retrieve

    public static AceSet retrieve(AceSet n,
                                  java.lang.String sl)
                           throws AceException

### retrieve

    public static AceSet retrieve(AceSet n,
                                  java.util.List l)
                           throws AceException

### toList

    public static java.util.List toList(java.lang.String sl)

### rootURL

    public static AceURL rootURL(AceURL url)

  Get the root URL for a database.

### encode

    public static java.lang.String encode(java.lang.String s)

### decode

    public static java.lang.String decode(java.lang.String s)
                                   throws AceException